Bug 1412825 - [RFE] google provider connection using http_proxy configured in CloudForms
Summary: [RFE] google provider connection using http_proxy configured in CloudForms
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: GA
: 5.7.1
Assignee: Julian Cheal
QA Contact: Jeff Teehan
URL:
Whiteboard: provider:gce:proxy
Depends On: 1400129
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 21:55 UTC by Satoe Imaishi
Modified: 2020-04-15 15:05 UTC (History)
12 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1400129
Environment:
Last Closed: 2017-02-27 19:22:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 Greg Blomquist 2017-01-16 18:51:11 UTC
https://github.com/ManageIQ/manageiq/pull/13459

Comment 3 CFME Bot 2017-01-16 19:35:56 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/9763bc3d0d5b59f5f2165f4f41c89c6e3393ca76

commit 9763bc3d0d5b59f5f2165f4f41c89c6e3393ca76
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Jan 12 16:39:34 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 14:32:51 2017 -0500

    Merge pull request #13459 from selmanj/pass_proxy_uri_to_fog-google
    
    Pass through google proxy options to fog-google
    (cherry picked from commit 9a90292339eea01d438b1d40d603c3c81ddff792)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412825

 Gemfile                                                  |  2 +-
 app/models/manageiq/providers/google/manager_mixin.rb    |  6 ++++--
 config/settings.yml                                      |  5 +++++
 .../manageiq/providers/google/cloud_manager_spec.rb      | 16 ++++++++++++++++
 4 files changed, 26 insertions(+), 3 deletions(-)

Comment 4 CFME Bot 2017-01-16 19:41:07 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/863512627fe807ddfa9ca54b5735e1695d3e6394

commit 863512627fe807ddfa9ca54b5735e1695d3e6394
Author:     Oleg Barenboim <chessbyte@gmail.com>
AuthorDate: Mon Jan 16 11:44:49 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 14:37:30 2017 -0500

    Merge pull request #13486 from agrare/bump_fog_google_gem_version
    
    Increase fog-google version to v0.5.2
    (cherry picked from commit 9ae9ff92c9fcffde75ef94108453cb872e0ad9b8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412825

 Gemfile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 5 Edu Alcaniz 2017-01-20 15:28:31 UTC
Hi, could you give us an update please?

Comment 6 Jeff Teehan 2017-01-20 16:33:23 UTC
It's in the UI on upstream builds and appears to be working.  Won't be able to officially close it until we get a proper 5.7.1 build.

Comment 7 Jeff Teehan 2017-01-25 16:36:10 UTC
The UI is implemented, but it seem to be using the proxy values. I know it is  working because if I change to bogus values it stops working.  And when I correct the values it starts working again.

Moving to Verified using 57100 on 10.16.7.73

I also add the positive/negative test cases to Polarion and marked qetestcoverage to +

Comment 8 Edu Alcaniz 2017-02-06 07:25:12 UTC
Hi, do you know when this BZ/RFE will be release for CF?

Comment 11 errata-xmlrpc 2017-02-27 19:22:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.